Bug 147500 - [patch] Make deskutils/xpad usable
Summary: [patch] Make deskutils/xpad usable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-05 14:40 UTC by Lucius Windschuh
Modified: 2010-08-26 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (543 bytes, patch)
2010-06-05 14:40 UTC, Lucius Windschuh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lucius Windschuh 2010-06-05 14:40:05 UTC
xpad became unusable after the latest GTK update in the ports tree.
Instead of the normal pad windows, only grey windows appear, making xpad completely unusable.

BTW, xpad could also be updated to 4.0, which introduced the --toggle option.

Fix: Put the attached file (renamed to patch-src-xpad_pad.c) into files/ and compile xpad.
This fix was suggested by the debian people:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576770

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-06-05 14:41:23 UTC
Maintainer of deskutils/xpad,

Please note that PR ports/147500 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147500

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-05 14:41:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Guillaume Paquet 2010-06-07 00:56:26 UTC
Hi,

I don't have time anymore to maintain this port. May you change the
maintainer please?

Guillaume

On Sat, Jun 5, 2010 at 9:41 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of deskutils/xpad,
>
> Please note that PR ports/147500 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/147500
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-06-07 19:05:16 UTC
State Changed
From-To: feedback->open

Current maintainer has asked to have the port reassigned to the pool. 

To submitter: would you like to become the new maintainer?
Comment 5 SterlingCamden 2010-08-09 23:34:32 UTC
(Bugathon)

Reproduced the problem, tested the patch.  Good to commit.

-- 
Sterling (Chip) Camden    | sterling@camdensoftware.com | 2048D/3A978E4F
http://camdensoftware.com | http://chipstips.com        | http://chipsquips.com
Comment 6 Pav Lucistnik freebsd_committer 2010-08-26 10:21:36 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2010-08-26 12:07:41 UTC
pav         2010-08-26 11:07:28 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/xpad       Makefile 
  Added files:
    deskutils/xpad/files patch-src-xpad-pad.c 
  Log:
  - Fix runtime with latest Gtk
  
  PR:             ports/147500
  Submitted by:   Lucius Windschuh <lwindschuh@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.27      +1 -1      ports/deskutils/xpad/Makefile
  1.1       +11 -0     ports/deskutils/xpad/files/patch-src-xpad-pad.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"